<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.jna.fbclient Class Hierarchy (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.jna.fbclient Class Hierarchy (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/parser/package-tree.html">Prev</a></li>
<li><a href="../../../../org/firebirdsql/logging/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.firebirdsql.jna.fbclient</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Number.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Number</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">com.sun.jna.IntegerType (implements com.sun.jna.NativeMapped)
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_STATUS</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.sun.jna.Structure
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/GDS_QUAD_t.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">GDS_QUAD_t</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/GDS_QUAD_t.ByReference.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">GDS_QUAD_t.ByReference</span></a> (implements com.sun.jna.Structure.ByReference)</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/GDS_QUAD_t.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">GDS_QUAD_t.ByValue</span></a> (implements com.sun.jna.Structure.ByValue)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_ARRAY_BOUND</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByReference.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_ARRAY_BOUND.ByReference</span></a> (implements com.sun.jna.Structure.ByReference)</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_ARRAY_BOUND.ByValue</span></a> (implements com.sun.jna.Structure.ByValue)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_DESC.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_ARRAY_DESC</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_DESC.ByReference.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_ARRAY_DESC.ByReference</span></a> (implements com.sun.jna.Structure.ByReference)</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_DESC.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_ARRAY_DESC.ByValue</span></a> (implements com.sun.jna.Structure.ByValue)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_BLOB_DESC.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_BLOB_DESC</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_BLOB_DESC.ByReference.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_BLOB_DESC.ByReference</span></a> (implements com.sun.jna.Structure.ByReference)</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_BLOB_DESC.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_BLOB_DESC.ByValue</span></a> (implements com.sun.jna.Structure.ByValue)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_TIMESTAMP.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_TIMESTAMP</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_TIMESTAMP.ByReference.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_TIMESTAMP.ByReference</span></a> (implements com.sun.jna.Structure.ByReference)</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_TIMESTAMP.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">ISC_TIMESTAMP.ByValue</span></a> (implements com.sun.jna.Structure.ByValue)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/USER_SEC_DATA.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">USER_SEC_DATA</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/USER_SEC_DATA.ByReference.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">USER_SEC_DATA.ByReference</span></a> (implements com.sun.jna.Structure.ByReference)</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/USER_SEC_DATA.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">USER_SEC_DATA.ByValue</span></a> (implements com.sun.jna.Structure.ByValue)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">XSQLDA</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/XSQLDA.ByReference.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">XSQLDA.ByReference</span></a> (implements com.sun.jna.Structure.ByReference)</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/XSQLDA.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">XSQLDA.ByValue</span></a> (implements com.sun.jna.Structure.ByValue)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">XSQLVAR</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.ByReference.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">XSQLVAR.ByReference</span></a> (implements com.sun.jna.Structure.ByReference)</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">XSQLVAR.ByValue</span></a> (implements com.sun.jna.Structure.ByValue)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.sun.jna.AltCallingConvention
<ul>
<li type="circle">com.sun.jna.win32.StdCall
<ul>
<li type="circle">com.sun.jna.win32.StdCallLibrary (also extends com.sun.jna.Library)
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">WinFbClientLibrary</span></a> (also extends org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary</a>)</li>
</ul>
</li>
<li type="circle">com.sun.jna.win32.StdCallLibrary.StdCallCallback (also extends com.sun.jna.Callback)
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.FbShutdownStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">WinFbClientLibrary.FbShutdownStdCallback</span></a> (also extends org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.FbShutdownCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.FbShutdownCallback</a>)</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.IscEventStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">WinFbClientLibrary.IscEventStdCallback</span></a> (also extends org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.IscEventCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.IscEventCallback</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.sun.jna.Callback
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.FbShutdownCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">FbClientLibrary.FbShutdownCallback</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.FbShutdownStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">WinFbClientLibrary.FbShutdownStdCallback</span></a> (also extends com.sun.jna.win32.StdCallLibrary.StdCallCallback)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.IscEventCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">FbClientLibrary.IscEventCallback</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.IscEventStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">WinFbClientLibrary.IscEventStdCallback</span></a> (also extends com.sun.jna.win32.StdCallLibrary.StdCallCallback)</li>
</ul>
</li>
<li type="circle">com.sun.jna.win32.StdCallLibrary.StdCallCallback (also extends com.sun.jna.win32.StdCall)
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.FbShutdownStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">WinFbClientLibrary.FbShutdownStdCallback</span></a> (also extends org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.FbShutdownCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.FbShutdownCallback</a>)</li>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.IscEventStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">WinFbClientLibrary.IscEventStdCallback</span></a> (also extends org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.IscEventCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.IscEventCallback</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.sun.jna.Library
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">FbClientLibrary</span></a>
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">WinFbClientLibrary</span></a> (also extends com.sun.jna.win32.StdCallLibrary)</li>
</ul>
</li>
<li type="circle">com.sun.jna.win32.StdCallLibrary (also extends com.sun.jna.win32.StdCall)
<ul>
<li type="circle">org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">WinFbClientLibrary</span></a> (also extends org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/parser/package-tree.html">Prev</a></li>
<li><a href="../../../../org/firebirdsql/logging/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
